/// <reference types="pcore-pconnect-typedefs" />
import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DashboardFilterComponent implements OnInit {
    pConn$: typeof PConnect;
    filtersFormGroup$: FormGroup;
    inlineProps: any;
    children: any;
    arChildren$: any[];
    private filterChangeSubject;
    constructor();
    ngOnInit(): void;
    clearFilters(): void;
    updateTmpData(filterData: any): void;
    dateRangeChangeHandler(field: any): void;
    fireFilterChange(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashboardFilterComponent, "app-dashboard-filter", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "filtersFormGroup$": { "alias": "filtersFormGroup$"; "required": false; }; "inlineProps": { "alias": "inlineProps"; "required": false; }; "children": { "alias": "children"; "required": false; }; }, {}, never, never, true, never>;
}
